VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "PC_InfoNPA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ====== Legal document attributes =======
' Shared module version: 20220614
' Tested in:
' Depends on:
' Required reference: Scripting
Option Explicit

Public prefix_ As String
Public date_ As String
Public number_ As String
Public docType_ As String
Public creator_ As String
Public title_ As String
Public titlePrefix_ As String
Public titleDoc_ As String

Public isTimeBound_ As Boolean

Private Sub Class_Initialize()
  isTimeBound_ = False
End Sub

Public Function AsCollection() As Collection
  Dim iData As New Collection
  Call iData.Add(prefix_)
  Call iData.Add(docType_)
  Call iData.Add(creator_)
  Call iData.Add(number_)
  Call iData.Add(date_)
  Call iData.Add(title_)
  Call iData.Add(titlePrefix_)
  Call iData.Add(titleDoc_)
  Call iData.Add(isTimeBound_)
  Set AsCollection = iData
End Function

Public Function AsDescription() As Scripting.Dictionary
  Dim iData As New Scripting.Dictionary
  Call iData.Add("префикс", prefix_)
  Call iData.Add("тип документа", docType_)
  Call iData.Add("выпускающий орган", creator_)
  Call iData.Add("номер", number_)
  Call iData.Add("дата", date_)
  Call iData.Add("название", title_)
  Call iData.Add("префикс титула", titlePrefix_)
  Call iData.Add("вложенный документ", titleDoc_)
  Call iData.Add("срочный", isTimeBound_)
  Set AsDescription = iData
End Function
